#include <iostream>
#include <memory>

class MyClass {
public:
    MyClass() { std::cout << "MyClass Constructor" << std::endl; }
    ~MyClass() { std::cout << "MyClass Destructor" << std::endl; }
};

int main() {
    std::unique_ptr<MyClass> ptr1 = std::make_unique<MyClass>();
    // std::unique_ptr<MyClass> ptr2 = ptr1;  // Error: Cannot copy unique_ptr
    std::unique_ptr<MyClass> ptr2 = std::move(ptr1);  // OK: Move ownership

    return 0;
}

